.wrapper-giftcard {
    font-family:  'Poppins', sans-serif;
    font-size: 16px;
    line-height: 1.2;
    color: #000000;
}
.font-weight-normal {
    font-weight: normal!important;
}
.giftcard-header {
    background: rgba(27,49,142,1);
    background: -moz-linear-gradient(left, rgba(27,49,142,1) 0%, rgba(46,149,179,1) 62%, rgba(0,163,147,1) 100%);
    background: -webkit-gradient(left top, right top, color-stop(0%, rgba(27,49,142,1)), color-stop(62%, rgba(46,149,179,1)), color-stop(100%, rgba(0,163,147,1)));
    background: -webkit-linear-gradient(left, rgba(27,49,142,1) 0%, rgba(46,149,179,1) 62%, rgba(0,163,147,1) 100%);
    background: -o-linear-gradient(left, rgba(27,49,142,1) 0%, rgba(46,149,179,1) 62%, rgba(0,163,147,1) 100%);
    background: -ms-linear-gradient(left, rgba(27,49,142,1) 0%, rgba(46,149,179,1) 62%, rgba(0,163,147,1) 100%);
    background: linear-gradient(to right, rgba(27,49,142,1) 0%, rgba(46,149,179,1) 62%, rgba(0,163,147,1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#1b318e', endColorstr='#00a393', GradientType=1 );
    padding: 25px 15px;
}
.footer-giftcard {background: rgba(27,49,142,1);
    background: -moz-linear-gradient(left, rgba(27,49,142,1) 0%, rgba(46,149,179,1) 62%, rgba(0,163,147,1) 100%);
    background: -webkit-gradient(left top, right top, color-stop(0%, rgba(27,49,142,1)), color-stop(62%, rgba(46,149,179,1)), color-stop(100%, rgba(0,163,147,1)));
    background: -webkit-linear-gradient(left, rgba(27,49,142,1) 0%, rgba(46,149,179,1) 62%, rgba(0,163,147,1) 100%);
    background: -o-linear-gradient(left, rgba(27,49,142,1) 0%, rgba(46,149,179,1) 62%, rgba(0,163,147,1) 100%);
    background: -ms-linear-gradient(left, rgba(27,49,142,1) 0%, rgba(46,149,179,1) 62%, rgba(0,163,147,1) 100%);
    background: linear-gradient(to right, rgba(27,49,142,1) 0%, rgba(46,149,179,1) 62%, rgba(0,163,147,1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#1b318e', endColorstr='#00a393', GradientType=1 );
    padding: 10px 15px; font-size: 10px; line-height: 16px; text-align: center; font-weight: 400; margin-top: 20px; color: #ffffff; }
.gift-card-header-container {
    width: 100%;
    max-width: 1190px;
    margin: 0 auto;
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

.heading-header {
    font-size: 25px;
    line-height: 35px;
    color: #fff;
    margin: 0;
    padding: 0;
    text-align: right;
    letter-spacing: 1px;
    font-weight: 600;
    text-transform: uppercase;
}
.heading-header span {
    display: inline-block;
}
.heading-header span:after{
    content: '';
    width: 31px;
    height: 2px;
    background: #FFFFFF;
    display: block;
    margin-top: 4px;
}
.gift-card-row { display: grid;
    grid-template-columns: 44.159% 50.60%; /* Two columns: first column is smaller */
     /* gap: 50px; */
     column-gap: 5.241%; /* Gap only between columns */
            row-gap: 0; /* No gap between rows */
   /* padding: 10px;
    background-color: #f0f0f0; */
}
.gift-card-row > div.col-12.col-md-5:nth-child(1) {
    grid-column: 2 / 3; /* Position item 1 in the second column */
}
.gift-card-row > div.col-12.col-md-5:nth-child(2) {
    grid-column: 1 / 2; /* Position item 2 in the first column */
    grid-row: 1 / span 2; /* Make item 2 span the entire height of the grid */
}
.gift-card-row > div.col-12.col-md-5:nth-child(3) {
    grid-column: 2 / 3; /* Position item 3 in the second column */
}
.giftcard-midcontent, .giftcard-multiple-midcontent, .giftcard-checkout-midcontent {min-height: calc(100vh - 185px);}
.giftcard-midcontent-lft { padding: 0; width: 100%;  }
.giftcard-midcontent-lft-in {border: 1px solid #707070; border-radius: 5px; padding: 20px 30px;}
.giftcard-midcontent-lft-heading { font-size: 16px; line-height: 28px; color: #1B318E; font-weight: 600; margin-bottom: 20px; padding: 0; }
.lft-section-heading { font-size: 16px; line-height: 28px; color: #1B318E; font-weight: 500; margin-bottom: 14px; padding: 0; }

.giftcard-midcontent-rgt { border-radius: 5px; padding: 0 15px; width: 100%;  }
.giftcard-midcontent .container {max-width: 1180px;}
.select-image {position: relative; padding-bottom: 53%;}
.select-image .select-image-item {position: absolute; padding: 0; margin: 0; left: 0; top: 0; width: 100%; height: 100%; object-fit: cover;}
.selected-option img {border-radius: 5px; box-shadow: 0 3px 6px rgba(0,0,0,0.16);}
.form-group {margin-bottom: 13px;}
.form-control {background-color: #F4F4F4 !important; border: #F4F4F4 !important; border-radius: 0; font-size: 16px; line-height: 27px; color: #000000; padding: 15px 10px; box-shadow: none !important; outline: none; }
textarea.form-control { resize: none; }
.form-control::placeholder { color: rgba(0,0,0,0.5);}
.form-control:-moz-placeholder { color: rgba(0,0,0,0.5);}
.form-control::-webkit-input-placeholder { color: rgba(0,0,0,0.5);}
.form-control:-ms-input-placeholder { color: rgba(0,0,0,0.5);}
.form-label {color: #1B318E;font-size: 16px; line-height: 28px; margin: 0 0 10px; }
.form-control.form-control-border { padding: 0 8px 0 0 !important; background-color: #fff !important; border-color: #fff; border-bottom:1px solid #707070 !important; padding: 0; color: #1B318E;}
textarea.form-control.form-control-border {
    height: 56px; resize: none;
    background: none !important;
    /* background: linear-gradient(#707070 1px, transparent 1px) repeat-y !important; */
    background-size: 100% 19px !important; padding: 0 !important; background-position: 0px 18px !important; background-attachment: local !important; line-height: 19px;
}
.form-control.form-control-border::placeholder { color: #1B318E;}
.form-control.form-control-border:-moz-placeholder { color: #1B318E;}
.form-control.form-control-border::-webkit-input-placeholder { color: #1B318E;}
.form-control.form-control-border:-ms-input-placeholder { color: #1B318E;}
.heading-border {font-size: 20px; line-height: 35px; color: #1B318E; text-transform: uppercase; padding: 0; margin: 0 0 10px; }
.heading-border:after {margin-top: 6px; width: 31px; height: 2px; background-color: #1B318E; content: ''; display: block;}
.btn-border-design {padding: 14px 5px; border:1px solid #1B318E; background: #1B318E; color: #FFFFFF; font-size: 16px; line-height: 27px; display: inline-flex; align-items: center; font-weight: 600; text-align: center; border-radius: 0; justify-content: center; }
.btn-border-design:hover {background: #ffffff; border-color: #1B318E; color: #1B318E; }
.btn-border-line {padding: 14px 24px; border:1px solid #000000; background: #ffffff; color: #000000; font-size: 16px; line-height: 27px; display: inline-flex; align-items: center; font-weight: 600; text-align: center; border-radius: 0; justify-content: center; }
.btn-border-line:hover, .btn-border-line:focus, .btn-border-line:active, .btn-border-line.active { background: #1B318E !important; border-color: #1B318E; color: #ffffff !important; }
.btn-border-line:hover img, .btn-border-line:focus img, .btn-border-line:active img, .btn-border-line.active img { filter: invert(1); }
.btn-border-line-green {padding: 14px 5px; border:1px solid #000000; background: #ffffff; color: #000000; font-size: 16px; line-height: 27px; display: inline-flex; align-items: center; font-weight: 600; text-align: center; border-radius: 0; justify-content: center; }
.btn-border-line-green:hover, .btn-border-line-green:focus, .btn-border-line-green:active, .btn-border-line-green.active { background: #206058 !important; border-color: #206058; color: #ffffff !important; }
.btn-border-line-green:hover img, .btn-border-line-green:focus img, .btn-border-line-green:active img, .btn-border-line-green.active img { filter: invert(1); }
.btn-icon {margin-right: 10px; transition: all ease-in-out 0.3s;}
.font-12 {font-size: 12px !important; line-height: 22px !important;}
.blue-clr {color: #1B318E;}
.order-label {font-size: 18px; line-height: 30px;color: #1B318E; font-weight: 700;}

.ui-widget.ui-widget-content {
    z-index: 999 !important;
    border: none !important;
    background-color: #fff !important;
    border-radius: 5px !important;
    padding: 15px 0;
    box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16);
    margin: 60px 0 0;
    max-width: 270px;
  }
  
  .ui-menu .ui-menu-item-wrapper {
    font-size: 12px !important;
    color: #2d2d2d !important;
    border: 0 !important;
    padding: 1px 10px 1px
  }
  
  .ui-menu .ui-menu-item {
    border: 0 !important
  }
.ui-datepicker table{width: 100%;margin: 0 auto .4em;}
.ui-datepicker{max-width: 300px; width: 100%; font-family: 'Poppins', sans-serif;}
.ui-datepicker .ui-datepicker-header { background: transparent !important; border: 0 !important; }
.ui-datepicker .ui-datepicker-title { color: #3B3F5C; text-align: left;  padding: 0 15px 0px; font-size: 15px; font-weight: 600; text-transform: uppercase; margin: 0 0 5px;border-bottom: solid 0px #F4F5F8;}
.ui-datepicker th {font-size: 10px;color: #000000;font-weight: 600;}
.ui-corner-all, .ui-corner-bottom, .ui-corner-right, .ui-corner-br { border-radius: 3px !important;  border: 1px solid var(--bs-border-color)!important; background: #F4F5F7;}
.ui-state-hover, .ui-widget-content .ui-state-hover, .ui-widget-header .ui-state-hover, .ui-state-focus, .ui-widget-content .ui-state-focus, .ui-widget-header .ui-state-focus { border: 0; background: transparent; color: #2c2c2c; }
.ui-datepicker .ui-datepicker-prev, .ui-datepicker .ui-datepicker-next { background: transparent; }
.ui-corner-all, .ui-corner-bottom, .ui-corner-right, .ui-corner-br { border: 0; border-radius: 0; }
.ui-state-default, .ui-widget-content .ui-state-default, .ui-widget-header .ui-state-default { border: 0;  color: #3B3F5C;
font-size: 12px; background: transparent; text-align: center; font-weight: 400; }
.ui-state-active, .ui-widget-content .ui-state-active, .ui-widget-header .ui-state-active{border: 0; color: #fff; background: #1B318E; text-align: center; font-weight: 400; border-radius: 3px; }
.ui-datepicker td { padding: 2px 5px; line-height: 22px; }
.ui-state-highlight, .ui-widget-content .ui-state-highlight {color: #fff;border: none;border-radius: 3px;background: rgba(27, 49, 142, 0.5);}
.ui-datepicker-prev .ui-icon { background-image: url('../../img/left-arrow-calender.svg'); background-repeat: no-repeat; background-position: 40% 40%; }
.ui-datepicker .ui-datepicker-prev span { margin-top: 0px; }
.ui-datepicker .ui-datepicker-prev, .ui-datepicker .ui-datepicker-next { top: 0; border: 0 !important; opacity: 1; }
.ui-datepicker .ui-datepicker-prev span, .ui-datepicker .ui-datepicker-next span { cursor: pointer; top: 35%; }
.ui-datepicker-next .ui-icon { background-image: url('../../img/right-arrow-calender.svg'); background-repeat: no-repeat; background-position: 40% 40%; }
.ui-datepicker .ui-datepicker-next {right: 6px;left: auto;}
.ui-datepicker .ui-datepicker-prev {right: 40px;left: auto;}
.ui-datepicker .ui-datepicker-next span { margin-top: 0; }
.ui-datepicker-calendar thead tr { border-bottom: none; }

@media (max-width:767px) {
    .gift-card-row {
        grid-template-columns: 1fr; /* Single column layout */
        column-gap: 0; /* No gap between columns */
        row-gap: 10px; /* Gap between rows */
    }
    .gift-card-row > div.col-12.col-md-5 {
        grid-column: auto !important; /* Each item takes the full width */
        grid-row:auto !important;
    }
    .giftcard-midcontent .container {padding-left: 20px; padding-right: 20px;}
    .giftcard-midcontent-rgt { padding: 0 10px;}
    .heading-header {text-align: center;}
    .giftcard-header {padding: 30px 15px 30px;}
    .heading-header {font-size: 18px; line-height: 30px;}
    .selected-option img {width: 100%; height: auto;}
    .giftcard-midcontent-lft-in {padding-left: 20px; padding-right: 20px;}
}


/* @media (min-width:768px) {
    .giftcard-midcontent-lft{
        width: 44.159%;
        width: 100%;
    }
    .giftcard-midcontent-rgt{
        width: 50.60%;
        width: 100%;
    }
} */


/*============= vb styles ===========*/
.btn-primary{border-radius: 0; border: none; background: #1B318E !important; font-weight: 600;}
.btn-danger{border-radius: 0; border: none; background: #B1101B !important; font-weight: 600;}
.btn-success{border-radius: 0; border: none; background: #206058 !important; font-weight: 600;}
.btn-dark{border-radius: 0; border: none; background: #2C2C2C !important; font-weight: 600;}
.btn-link{color: #1B318E;}

.appt-notification-details{margin: 0 0 0 100px;}
.appt-notification-details .cart-btn{ width: 40px; height: 40px;position: relative; background: none;padding: 5px;border-radius: 50%;display: block; box-shadow: none; border: none; outline: none;}
.appt-notification-details .cart-btn img{max-width: 100%; height: auto;}
.appt-notification-details .cart-btn .badge{position: absolute;background-color: #9F0015;color: #fff;top: -17px;right: 7px;left: auto;font-size: 16px;font-weight: 700;border-radius: 50%;width: 23px;height: 23px;display: block;line-height: 15px;text-align: center;box-shadow: 0 0 10px rgba(0, 0, 0, 0.10);padding: 4px 0;}


.amountPicker .dropdown-toggle{    background: transparent !important; border: 0;}
.amountPicker .dropdown-menu{      width: 276px;
    border: 1px solid #707070;
    border-radius: 0;}
    .amountPicker .dropdown-menu ul li a{    color: #2C2C2C; padding: 0 10px;}

    .amountPicker .dropdown-toggle:after{    border: 0 !important;
        background-image: url(../images/arrow-down.svg);
        background-size: 18px 11px;
        background-repeat: no-repeat;
        background-position: 97%;
        width: 24px;
        height: 24px;}

.gf-recipient-table, .gf-recipient-table .table-responsive{    overflow: visible !important;}

.optionText{font-size: 16px; line-height: 28px; color: #2C2C2C; font-weight: 400;;}
.giftcard-multiple-midcontent .container{max-width: 90%;}
.form-check-input{border: solid 1px #B1B0B0; box-shadow: none !important;}
.form-check-input:checked{background-color: #206058;border-color: #B1B0B0;}
.form-check-input:checked[type=checkbox]{background-image: none;}
.form-check-label{font-size: 16px; line-height: 24px;}
.gif-upload-btn .btn-success{width: 100%;}
.gif-upload-btn{border: solid 2px #2C2C2C; min-height: 57px; display: flex; align-items: center; justify-content: center; padding: 2px 5px;}
.gf-recipient-table table th, .gf-recipient-table table td{padding: 12px 8px; font-size: 16px; line-height: 24px; vertical-align: middle;}
.gf-recipient-table table thead th{font-weight: 400; font-size: 16px; line-height: 24px; color: #1B318E;border-bottom: solid 1px #707070;}
.gf-recipient-table table tbody td, .gf-recipient-table tbody th{border-bottom: solid 1px #707070;}
.gf-uploaded-img{max-width: 108px;}
.gf-uploaded-img img{object-fit: cover; max-width: 100%;}
.gf-preview-btn{text-align: right;justify-content: flex-end; display: flex;}
.gf-preview-btn .btn{padding: 1.5px 14px;}
.gf-recipient-table .form-control{padding: 4px 10px; height: 57px;}
.gf-order-subtotal-card{max-width: 590px; width: 100%; margin: 0 0 0 auto; padding: 10px 10px;}
.gf-order-total-flex{display: flex; align-items: center; justify-content: space-between; font-size: 18px; line-height: 25px; font-weight: 700; color: #1B318E;}
.gf-ordercheckout-btn .btn{width: 182px; max-width: 100%;padding: 16.5px 6px; margin: 0 10px;}
.gf-upload-cart.gf-uploaded-img{max-width: 150px;}

.modal-header .btn-close{background-image: url(../../img/clear-black.svg);background-size: 12px;position: absolute;right: -5px;top: -5px;opacity: 1;background-color: #fff;z-index: 99;padding: 10px;border-radius: 50%;}
.modal-backdrop{ background-color: rgba(11, 29, 64, 0.5); backdrop-filter: blur(15px);}
.cartPreview-modal .modal-title{font-size: 24px;line-height: 25px; font-weight: 700; display: flex; color: #2C2C2C; align-items: center; justify-content: center;}
.cartPreview-modal .modal-title span img{width: 40px; height: 40px; object-fit: cover; border-radius: 5px; margin-right: 10px;}
.modal-cartpreview-cont{max-width: 340px; width: 100%; margin: 0 auto;}
.modal-cartpreview-cont > h3{ font-size: 18px; line-height: 22px;}
.cart-modal-prevw-img img{width: 100%; height: 204px; object-fit: cover; display: block; border-radius: 5px;}
.modal-cartpreview-cont textarea.form-control.form-control-border {height: 75px;background-size: 100% 19px !important; background-position: 0px 18px !important;line-height: 19px;}
.cart-terms-card p{font-size: 10px; line-height: 20px;}

.giftcard-checkout-midcontent .container{max-width: 1212px;}
.payment-info-cont{border: solid 1px #707070; padding: 15px 20px 20px 30px;}
.payment-info-cont h3{font-size: 16px;line-height: 28px; font-weight: 600; color: #1B318E; text-align: center;}
.payment-info-cont label{color: #1B318E;}
.card-field-column{border-bottom: solid 1px #707070; padding: 0 0 0; display: flex;}
.card-field-column .form-control{padding: 0; background: none !important;}
.card-field-column .form-control::placeholder { color: #000000;}
.card-field-column .form-control:-moz-placeholder { color: #000000;}
.card-field-column .form-control::-webkit-input-placeholder { color: #000000;}
.card-field-column .form-control:-ms-input-placeholder { color: #000000;}
.card-year-cvv{width: 110px; padding-left: 10px;}
.card-field-column .card-number{width: calc(100% - 110px);}
.w-60{width: 60% !important;}
.w-40{width: 40% !important;}
.promo-code-group .form-control{flex: none;}

.payment-info .table-responsive .table tbody tr td, .payment-info .table-responsive .table tfoot tr td { border-bottom: 0 !important; padding: 5px 0; color: #707070; font-weight: 300; }
.payment-info .table-responsive .table tbody tr td:last-child, .payment-info .table-responsive .table tfoot tr td:last-child { text-align: right; }
.payment-info .table-responsive { border-top: 0.5px solid #BABABA; }
.payment-info .table-responsive .table tfoot tr td { font-size: 17px; color: #383838; }
.payment-info .table-responsive tfoot { border-top: 0.5px solid #BABABA; }
.payment-info .table-responsive .table tbody tr:last-child td { padding-bottom: 10px; }
.order-summary-cont table td, .order-summary-cont table th{font-size: 18px; line-height: 23px; color: #1B318E; font-weight: 700; border-bottom: none; padding: 6px 0;}
.order-summary-cont table td:last-child, .order-summary-cont table th:last-child{text-align: right;}
.order-summary-cont table tfoot td{ border-top: solid 1px #707070; padding: 10px 0 6px 0 !important;}  
.order-summary-cont table thead th{padding: 6px 0 15px 0;}
.order-summary-cont .btn{width: 182px; max-width: 100%;padding: 16.5px 6px;}
.promo-discount{color: #206058;}
select.form-control{background-image: url(../images/arrow-down.svg); background-size: 18px 11px; background-repeat: no-repeat;background-position: 96%;}
select.form-control:invalid {color: #797978 !important; opacity: 1;}

.price-increament {width: 55%;display: flex;background: transparent;padding: 0 0;border-radius: 3px;justify-content: space-between;}
.price-increament .btn {background: transparent !important;padding: 0;box-shadow: none !important;margin: 0;}
.price-increament .form-control {margin: 0;width: 57px; height: 57px; text-align: center; padding: 2px 5px;}

@media (max-width:767px) {
    .payment-info-cont{padding: 15px 15px;}
    .appt-notification-details{margin: 0 0 0 25px;}


    .gf-upload-cart.gf-uploaded-img{margin: 0 auto;}
    .gf-recipient-table table th, .gf-recipient-table table td{padding: 6px 5px;}
    .gf-recipient-table table tbody td, .gf-recipient-table tbody th{border-bottom: 0;}
    .gf-recipient-table .table tbody tr th:first-child{border-top: solid 1px #707070;padding: 20px 5px 10px;}
    .gf-recipient-table .table tbody tr td:last-child{border-bottom: solid 1px #707070;padding: 10px 5px 20px;}
    td.mob-btn{text-align: center !important; justify-content: center !important;}
    td.mob-btn::before{display: none !important;}
    .gf-recipient-table .table tbody tr td:last-child::before{display: none;}

    .gf-recipient-table .table thead {display: none;}
    .gf-recipient-table .table tbody tr { display: block; margin-bottom: 20px; width: 100%; text-align: center; margin: 0 auto;}
    .gf-recipient-table .table tbody tr th, .gf-recipient-table .table tbody tr td { display: block; width: 100%; color: #1B318E;}
    .gf-recipient-table .table tbody tr td { text-align: right; padding-left: 0; position: relative; margin: 0 auto; display: flex; align-items: center; justify-content: space-between;}
    /* Add labels for mobile */
    .gf-recipient-table .table tbody tr td:before { content: attr(data-label); position: static; left: 0; width: 40%; padding-left: 0; text-align: left; display: block;}
    /* Adjust for buttons */
    .gf-preview-btn { justify-content: center; padding-top: 10px;margin: 0 auto;}
    .gf-preview-btn .btn{width: 91px; max-width: 100%;}


}

.dashboard-loader { width:100%; height:100%; z-index: 99999 !important; position:fixed; left:0; top:0; display:none; background-color: rgb(255,255,255,0.5); backdrop-filter: blur(5px); opacity: 1; }
.max-loader { width:100%; height:100%; display: flex; align-items: center; justify-content:center; }

.gf-recipient-table .form-control{padding: 4px 30px 4px 10px;height: 57px;}
.gf-recipient-table textarea.form-control{padding:4px 10px;}
.cart-terms-card {text-align: center;}
/*============= vb styles ===========*/
